rebase: reindent function git_rebase__interactive

Signed-off-by: Wink Saville <wink@saville.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
maint
Wink Saville 2018-03-23 14:25:24 -07:00 committed by Junio C Hamano
parent 2f5f469bc4
commit d48f97aa85
1 changed files with 216 additions and 218 deletions

View File

@ -741,9 +741,8 @@ get_missing_commit_check_level () {
} }


git_rebase__interactive () { git_rebase__interactive () {

case "$action" in
case "$action" in continue)
continue)
if test ! -d "$rewritten" if test ! -d "$rewritten"
then then
exec git rebase--helper ${force_rebase:+--no-ff} $allow_empty_message \ exec git rebase--helper ${force_rebase:+--no-ff} $allow_empty_message \
@ -805,7 +804,7 @@ first and then run 'git rebase --continue' again.")"
do_rest do_rest
return 0 return 0
;; ;;
skip) skip)
git rerere clear git rerere clear


if test ! -d "$rewritten" if test ! -d "$rewritten"
@ -816,7 +815,7 @@ skip)
do_rest do_rest
return 0 return 0
;; ;;
edit-todo) edit-todo)
git stripspace --strip-comments <"$todo" >"$todo".new git stripspace --strip-comments <"$todo" >"$todo".new
mv -f "$todo".new "$todo" mv -f "$todo".new "$todo"
collapse_todo_ids collapse_todo_ids
@ -834,30 +833,30 @@ To continue rebase after editing, run:


exit exit
;; ;;
show-current-patch) show-current-patch)
exec git show REBASE_HEAD -- exec git show REBASE_HEAD --
;; ;;
esac esac


comment_for_reflog start comment_for_reflog start


if test ! -z "$switch_to" if test ! -z "$switch_to"
then then
GIT_REFLOG_ACTION="$GIT_REFLOG_ACTION: checkout $switch_to" GIT_REFLOG_ACTION="$GIT_REFLOG_ACTION: checkout $switch_to"
output git checkout "$switch_to" -- || output git checkout "$switch_to" -- ||
die "$(eval_gettext "Could not checkout \$switch_to")" die "$(eval_gettext "Could not checkout \$switch_to")"


comment_for_reflog start comment_for_reflog start
fi fi


orig_head=$(git rev-parse --verify HEAD) || die "$(gettext "No HEAD?")" orig_head=$(git rev-parse --verify HEAD) || die "$(gettext "No HEAD?")"
mkdir -p "$state_dir" || die "$(eval_gettext "Could not create temporary \$state_dir")" mkdir -p "$state_dir" || die "$(eval_gettext "Could not create temporary \$state_dir")"
rm -f "$(git rev-parse --git-path REBASE_HEAD)" rm -f "$(git rev-parse --git-path REBASE_HEAD)"


: > "$state_dir"/interactive || die "$(gettext "Could not mark as interactive")" : > "$state_dir"/interactive || die "$(gettext "Could not mark as interactive")"
write_basic_state write_basic_state
if test t = "$preserve_merges" if test t = "$preserve_merges"
then then
if test -z "$rebase_root" if test -z "$rebase_root"
then then
mkdir "$rewritten" && mkdir "$rewritten" &&
@ -875,28 +874,28 @@ then
# parents to rewrite and skipping dropped commits would # parents to rewrite and skipping dropped commits would
# prematurely end our probe # prematurely end our probe
merges_option= merges_option=
else else
merges_option="--no-merges --cherry-pick" merges_option="--no-merges --cherry-pick"
fi fi


shorthead=$(git rev-parse --short $orig_head) shorthead=$(git rev-parse --short $orig_head)
shortonto=$(git rev-parse --short $onto) shortonto=$(git rev-parse --short $onto)
if test -z "$rebase_root" if test -z "$rebase_root"
# this is now equivalent to ! -z "$upstream" # this is now equivalent to ! -z "$upstream"
then then
shortupstream=$(git rev-parse --short $upstream) shortupstream=$(git rev-parse --short $upstream)
revisions=$upstream...$orig_head revisions=$upstream...$orig_head
shortrevisions=$shortupstream..$shorthead shortrevisions=$shortupstream..$shorthead
else else
revisions=$onto...$orig_head revisions=$onto...$orig_head
shortrevisions=$shorthead shortrevisions=$shorthead
fi fi
if test t != "$preserve_merges" if test t != "$preserve_merges"
then then
git rebase--helper --make-script ${keep_empty:+--keep-empty} \ git rebase--helper --make-script ${keep_empty:+--keep-empty} \
$revisions ${restrict_revision+^$restrict_revision} >"$todo" || $revisions ${restrict_revision+^$restrict_revision} >"$todo" ||
die "$(gettext "Could not generate todo list")" die "$(gettext "Could not generate todo list")"
else else
format=$(git config --get rebase.instructionFormat) format=$(git config --get rebase.instructionFormat)
# the 'rev-list .. | sed' requires %m to parse; the instruction requires %H to parse # the 'rev-list .. | sed' requires %m to parse; the instruction requires %H to parse
git rev-list $merges_option --format="%m%H ${format:-%s}" \ git rev-list $merges_option --format="%m%H ${format:-%s}" \
@ -932,11 +931,11 @@ else
printf '%s\n' "${comment_out}pick $sha1 $rest" >>"$todo" printf '%s\n' "${comment_out}pick $sha1 $rest" >>"$todo"
fi fi
done done
fi fi


# Watch for commits that been dropped by --cherry-pick # Watch for commits that been dropped by --cherry-pick
if test t = "$preserve_merges" if test t = "$preserve_merges"
then then
mkdir "$dropped" mkdir "$dropped"
# Save all non-cherry-picked changes # Save all non-cherry-picked changes
git rev-list $revisions --left-right --cherry-pick | \ git rev-list $revisions --left-right --cherry-pick | \
@ -959,14 +958,14 @@ then
rm "$rewritten"/$rev rm "$rewritten"/$rev
fi fi
done done
fi fi


test -s "$todo" || echo noop >> "$todo" test -s "$todo" || echo noop >> "$todo"
test -z "$autosquash" || git rebase--helper --rearrange-squash || exit test -z "$autosquash" || git rebase--helper --rearrange-squash || exit
test -n "$cmd" && git rebase--helper --add-exec-commands "$cmd" test -n "$cmd" && git rebase--helper --add-exec-commands "$cmd"


todocount=$(git stripspace --strip-comments <"$todo" | wc -l) todocount=$(git stripspace --strip-comments <"$todo" | wc -l)
todocount=${todocount##* } todocount=${todocount##* }


cat >>"$todo" <<EOF cat >>"$todo" <<EOF


@ -975,48 +974,47 @@ $comment_char $(eval_ngettext \
"Rebase \$shortrevisions onto \$shortonto (\$todocount commands)" \ "Rebase \$shortrevisions onto \$shortonto (\$todocount commands)" \
"$todocount") "$todocount")
EOF EOF
append_todo_help append_todo_help
gettext " gettext "
However, if you remove everything, the rebase will be aborted. However, if you remove everything, the rebase will be aborted.


" | git stripspace --comment-lines >>"$todo" " | git stripspace --comment-lines >>"$todo"


if test -z "$keep_empty" if test -z "$keep_empty"
then then
printf '%s\n' "$comment_char $(gettext "Note that empty commits are commented out")" >>"$todo" printf '%s\n' "$comment_char $(gettext "Note that empty commits are commented out")" >>"$todo"
fi fi




has_action "$todo" || has_action "$todo" ||
return 2 return 2


cp "$todo" "$todo".backup cp "$todo" "$todo".backup
collapse_todo_ids collapse_todo_ids
git_sequence_editor "$todo" || git_sequence_editor "$todo" ||
die_abort "$(gettext "Could not execute editor")" die_abort "$(gettext "Could not execute editor")"


has_action "$todo" || has_action "$todo" ||
return 2 return 2


git rebase--helper --check-todo-list || { git rebase--helper --check-todo-list || {
ret=$? ret=$?
checkout_onto checkout_onto
exit $ret exit $ret
} }


expand_todo_ids expand_todo_ids


test -d "$rewritten" || test -n "$force_rebase" || test -d "$rewritten" || test -n "$force_rebase" ||
onto="$(git rebase--helper --skip-unnecessary-picks)" || onto="$(git rebase--helper --skip-unnecessary-picks)" ||
die "Could not skip unnecessary pick commands" die "Could not skip unnecessary pick commands"


checkout_onto checkout_onto
if test -z "$rebase_root" && test ! -d "$rewritten" if test -z "$rebase_root" && test ! -d "$rewritten"
then then
require_clean_work_tree "rebase" require_clean_work_tree "rebase"
exec git rebase--helper ${force_rebase:+--no-ff} $allow_empty_message \ exec git rebase--helper ${force_rebase:+--no-ff} $allow_empty_message \
--continue --continue
fi fi
do_rest do_rest

} }